
Foreman - Bug #34058

Strings with enter don't get extracted for translation

12/01/2021 04:28 PM - Maria Agaphontzev

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8965

  

Description

const test1 = __(

'test'

);

const test2 = __('test');

 test1 won't be extracted test2 would be.

Only in JS.

Related issues:

Has duplicate Foreman - Bug #36115: Multi line translation strings are not ex... Duplicate

Associated revisions

Revision 5bbd1645 - 01/03/2022 01:31 PM - Maria Agaphontzev

Fixes #34058 - extract multiline string for translation

History

#1 - 12/01/2021 07:05 PM - Maria Agaphontzev

- Description updated

#2 - 12/02/2021 03:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8965 added

#3 - 01/03/2022 01:31 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 01/03/2022 02:01 PM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5bbd164525bd381fae9164bc404a8dd05d20a0bb.

#5 - 02/16/2023 03:08 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #36115: Multi line translation strings are not extracted added
